﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

[Serializable]

public class FieldElement
{// ein element im spielfeld (asteroiden, frachter, stationen, spieler)
    public float RotationAngle, RotationSpeed;
    public float Position_X, Position_Y, Velocity_X, Velocity_Y;   // Die Position des asteroiden im kreisförmigen spielfeld und die geschwindigkeit des asteroiden
    public int Type, Count;    // der typ (zum zeichnen), die laufende nummer dieses typs (zb stationen ind ja durchnummeriert)
    public bool Dockable, Changed;

    public FieldElement(float posx, float posy, float velx, float vely, float rotang, float rotspd, int type, int count, bool dockable)
    {
        Position_X = posx; Position_Y = posy; Velocity_X = velx; Velocity_Y = vely;
        RotationAngle = rotang; RotationSpeed = rotspd;
        Type = type;
        Count = count;
        Dockable = dockable;
        Changed = false;
    }
    public float GetSpeed()
    {// geschwindigkeit berechnen und zurückgeben
        return (float)Math.Sqrt((double)(Velocity_X * Velocity_X + Velocity_Y * Velocity_Y));
    }
}
