﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

[Serializable]

public class Freighter : FieldElement
{
    private int OrePrice, SupplyPrice;   // erz wird teuer angekauft, supply billig verkauft
    public int RepairPrice;
    public int FuelPrice;

    public Freighter(float posx, float posy, float velx, float vely, float rotang, float rotspd, int type, int count, bool dockable, int repprice, int fuelprice, int oreprice, int supprice): base(posx, posy, velx, vely, rotang, rotspd, type, count, dockable)
    {
        OrePrice = oreprice;
        SupplyPrice = supprice;
        RepairPrice = repprice;
        FuelPrice = fuelprice;
    }
    public Freighter(Freighter orig) : base(orig.Position_X, orig.Position_Y, orig.Velocity_X, orig.Velocity_Y, orig.RotationAngle, orig.RotationSpeed, orig.Type, orig.Count, orig.Dockable)
    {// copy constructor
        this.OrePrice = orig.OrePrice;
        this.SupplyPrice = orig.SupplyPrice;
        this.RepairPrice = orig.RepairPrice;
        this.FuelPrice = orig.FuelPrice;
    }
    public int GetSupplyPrice()
    {// der preis zu dem der Frachter supply verkauft
        return SupplyPrice;
    }
    public int GetOrePrice()
    {// der preis zu dem der frachter erz aufkauft
        return OrePrice;
    }
    public int GetRepairPrice()
    {// was die Reparatur eine Einheit Panzerung kostet
        return RepairPrice;
    }
    public int GetFuelPrice()
    {// was das auffüllen einer einheit treibstoff kostet
        return FuelPrice;
    }
}

